# TdApi.PaymentResult (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PaymentResult

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PaymentResult

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PaymentResult

Enclosing class:
  TdApi

public static final class TdApi.PaymentResult extends TdApi.Object
Contains the result of a payment request.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`success`
True, if the payment request was successful; otherwise, the verificationUrl will be non-empty.
`String`
`verificationUrl`
URL for additional payment credentials verification.

## Constructor Summary

Constructors
Constructor
Description
`PaymentResult()`
Contains the result of a payment request.
`PaymentResult(boolean success, String verificationUrl)`
Contains the result of a payment request.
`PaymentResult(DataInput input)`
Contains the result of a payment request.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### success

public boolean success
True, if the payment request was successful; otherwise, the verificationUrl will be non-empty.

### verificationUrl

public String verificationUrl
URL for additional payment credentials verification.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PaymentResult

public PaymentResult()
Contains the result of a payment request.

### PaymentResult

public PaymentResult(boolean success, String verificationUrl)
Contains the result of a payment request.

Parameters:
  `success` - boolean True, if the payment request was successful; otherwise, the verificationUrl will be non-empty.
  `verificationUrl` - String URL for additional payment credentials verification.

### PaymentResult

public PaymentResult(DataInput input) throws IOException
Contains the result of a payment request.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`